
QGIS Application - Bug report #18324

X11 freeze using drag and drop designer" custom forms

2018-03-03 10:03 PM - Luca Lanteri

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26214

Description

when I try to generate a custom form with the "drag and drop designer" the whole linux graphical interface is blocked and I have to restart

it.

This happens when I drag an element from the left column (avalable widget) to the central one (Form layout).

The problem is confirmed from other users.

Tested on linux mint 18.3 and QGIS 3.0 with QT 5.5.1.

History

#1 - 2018-03-05 08:02 AM - Luca Lanteri

on Win10 & 3.1 works fine

#2 - 2018-04-01 09:35 PM - Jürgen Fischer

Dragging seem impossible - but Esc aborts it for me.

#3 - 2018-05-09 09:39 PM - Luca Lanteri

now it works on master

#4 - 2018-05-09 09:39 PM - Luca Lanteri

- Status changed from Open to Closed
